package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cnycty;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CnyctyMapper {

    int insert(Cnycty record);

    int insertSelective(Cnycty record);

    int updateByPrimaryKeySelective(Cnycty record);

    int updateByPrimaryKey(Cnycty record);

    int deleteByPrimaryKey(Cnycty record);

    int deleteByIds(Collection<Object> collection);

    Cnycty selectByPrimaryKey(Cnycty record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cnycty> dyncRead(Map<String, Object> dyncMap);

    List<Cnycty> getCnyctyCod(@Param("cod") String cod);

    Cnycty getCnyctyByCode(@Param("cod") String cod);

}